How can I update my Kontrol S3 firmware?

Dmitrii
Dmitrii Member Posts: 1 Newcomer

I have a Traktor Kontrol s3 with a headphone volume issue. The problem was discussed in the question https://community.native-instruments.com/discussion/150/traktor-kontrol-s3-low-audio-output-problem/p3

The solution is to update the firmware on the controller.

I download the file for MacOS from the page https://www.native-instruments.com/support/downloads/drivers-other-files?&_ga=2.154710525.493696700.1677370680-913492992.1677370680#traktorkontrols3 and run. TK3SUpdate writes that version 1.0.7 is already installed and cannot be updated. I have not heard anything about firmware 1.0.7 for S3 before.

How can I still update the firmware and fix the headphone volume problem?

Tagged:

Answers

  • Uwe303
    Uwe303 Moderator Posts: 2,288 mod

    Hello,

    what Headphones do you use? And maybe ask native through the helpdesk https://support.native-instruments.com/hc/en/articles/360003345438

  • Quade
    Quade Member Posts: 176 Advisor

    There is absolutely nothing wrong with the use of headphones, the problem lies within the Dev Coding. No responses or feedback based on my thread(indicated in this thread)

    So far the only reason is that they cannot duplicate the audio configuration or so I understand.

    From my understanding, "There Is Nothing That NI Can Do To Rectify This Issue" putting the S3 Kontrol unit on the market was then a waste & unfortunately for us who made the purchase of this unit was an utter waste of money.

    I have been patient with the team to provide updates but dead silence, instead they are busy working on a Stupid Pattern Player & Pro Subscription. There are more pressing matters that users experience with not only the software, but some of the other hardware as well,not only with the S3 controller.

    @Dmitrii I wish you ALl the best getting feedback. I will be on the lookout for any future updates on this unit but I highly doubt there will be any future developments for this.

  • Uwe303
    Uwe303 Moderator Posts: 2,288 mod

    If they put a weak amp in there you can't fix it with a firmware update i would say, maybe use a headphone amp could be a solution, or use low impedance headphones.

  • deejaynikko
    deejaynikko Member Posts: 9 Member

    Same problem here! It says Installed Firmware is 1.0.7 and Updater Firmware is 0.2.0 but doesn’t update! It says I have the newer firmware! My question is which is the newer firmware?? 1.0.7? And why it says 0.2.0 is the newer firmware?


    thanks

  • Quade
    Quade Member Posts: 176 Advisor

    Do you Traktor Open? IF yes, Close Traktor, Run The Updater Again & see if it does the Firmware Update, Also try running the Firmware updater as an Administrator (If you are a Windows User) , Hold down Shift + Right-Click on the Updater & Run As An Administrator while the unit is connected.

    Also, update the unit with the power supply plugged in.

    I hope this information helps you. Feel Free to DM me privately shopuld you feel the need for additional assistance.

    Regards

    Quade

  • deejaynikko
    deejaynikko Member Posts: 9 Member

    I don’t remember if I put the power supply on when I did the update… I’ll do it when I go home. Also I have Traktor closed so that I make the update first and then open Traktor. I’m on a macbook pro

  • Marcal303
    Marcal303 Member Posts: 12 Member

    Hi! Another with the same issue.

    I am using a Mac for the update. Does the workaround of running the Firmware updater as an Administrator for Windows users solve the problem?

    Thanks,

  • DiogoAlmeida10
    DiogoAlmeida10 Member Posts: 1 Newcomer

    Same for me! I’m on a Mac! Any help?

Back To Top